KJS::Reference Class Reference

`#include <reference.h>`

Inheritance diagram for KJS::Reference:

## Public Member Functions

| Reference (const Object &b, const Identifier &p)
| Reference (const Object &b, unsigned p)
| Reference (ObjectImp *b, const Identifier &p)
| Reference (ObjectImp *b, unsigned p)
| Reference (const Null &b, const Identifier &p)
| Reference (const Null &b, unsigned p)
Value | getBase (ExecState *exec) const
Identifier | getPropertyName (ExecState *exec) const
Value | getValue (ExecState *exec) const
void | putValue (ExecState *exec, const Value &w)
bool | deleteValue (ExecState *exec)
bool | isMutable ()
Public Member Functions inherited from KJS::Value
| Value (ValueImp *v)
| Value (const Value &v)
Value & | operator= (const Value &v)
bool | isValid () const
bool | isNull () const
ValueImp * | imp () const
Type | type () const
bool | isA (Type t) const
Value | toPrimitive (ExecState *exec, Type preferredType=UnspecifiedType) const
bool | toBoolean (ExecState *exec) const
double | toNumber (ExecState *exec) const
int | toInteger (ExecState *exec) const
int | toInt32 (ExecState *exec) const
unsigned int | toUInt32 (ExecState *exec) const
unsigned short | toUInt16 (ExecState *exec) const
UString | toString (ExecState *exec) const
Object | toObject (ExecState *exec) const
bool | toUInt32 (unsigned &i) const

## Static Public Member Functions

static Reference | makeValueReference (const Value &v)

## Friends

class | ReferenceList
class | ReferenceListIterator

## Additional Inherited Members

Protected Attributes inherited from KJS::Value
ValueImp * | rep

## Detailed Description

Defines a Javascript reference.

Definition at line 35 of file reference.h.

## Member Function Documentation

Value Reference::getBase | ( | ExecState * | exec | ) | const

Performs the GetBase type conversion operation on this value (ECMA 8.7)

Since references are supposed to have an Object or null as their base, this method is guaranteed to return either Null() or an Object value.

Definition at line 93 of file reference.cpp.

Identifier Reference::getPropertyName | ( | ExecState * | exec | ) | const

Performs the GetPropertyName type conversion operation on this value (ECMA 8.7)

Definition at line 104 of file reference.cpp.

Value Reference::getValue | ( | ExecState * | exec | ) | const

Performs the GetValue type conversion operation on this value (ECMA 8.7.1)

Definition at line 118 of file reference.cpp.

void Reference::putValue | ( | ExecState * | exec,
|  | const Value & | w
| ) |  |

Performs the PutValue type conversion operation on this value (ECMA 8.7.1)

Definition at line 146 of file reference.cpp.

The documentation for this class was generated from the following files:

- reference.h
- reference.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys